List all receipts
GEThttps://core-prod.malipopay.co.tz/api/v1/receipts
Returns all receipt records for the project
Request
Responses
- 200
- 500
Receipts fetched successfully
- application/json
- Schema
- Example (auto)
Schema
_idstring
Unique receipt identifier
Example:
64e5fa821c2d0a3b1f7c4e85referencestring
Unique receipt reference number
Example:
RCT-2024-0042paymentstring
Payment ID this receipt is for
Example:
64a1bc3f9e12c4a2f1d8e7b3customer object
amountnumber
Amount on the receipt
Example:
50000currencystring
Example:
TZSdescriptionstring
Example:
Payment for Web Development Servicesstatusstring
Receipt status (e.g., ISSUED, CANCELLED)
Example:
ISSUEDprojectstring
Example:
63db68a6c5f3e7682e23c2caissuedAtdate-time
Example:
2024-03-05T14:30:00.000ZcreatedAtdate-time
Example:
2024-03-05T14:30:00.000Z{
"_id": "64e5fa821c2d0a3b1f7c4e85",
"reference": "RCT-2024-0042",
"payment": "64a1bc3f9e12c4a2f1d8e7b3",
"customer": {
"_id": "6281559426fa29659c5ac38a",
"phoneNumber": "255742200105",
"firstname": "John",
"lastname": "Doe"
},
"amount": 50000,
"currency": "TZS",
"description": "Payment for Web Development Services",
"status": "ISSUED",
"project": "63db68a6c5f3e7682e23c2ca",
"issuedAt": "2024-03-05T14:30:00.000Z",
"createdAt": "2024-03-05T14:30:00.000Z"
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/receipts' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response